package com.liquidnet.common.third.zxlnft.dto.nft;

import lombok.Data;

import java.io.Serializable;

/**
 * @author AnJiabin <anjiabin@zhengzai.tv>
 * @version V1.0
 * @Description: 17.地址与身份对应关系核验接口
 * @class: IdentityVerifyIdentityReq
 * @Package com.liquidnet.common.third.zxlnft.dto.nft
 * @Copyright: LightNet @ Copyright (c) 2021
 * @date 2022/2/18 15:33
 */
@Data
public class Nft017IdentityVerifyIdentityReq implements Serializable {
    /**
     * 地址
     */
    private String address;
    /**
     * 人脸结果Id
     */
    private String faceResultId;

    private static final Nft017IdentityVerifyIdentityReq obj = new Nft017IdentityVerifyIdentityReq();
    private static final long serialVersionUID = -745709288926468243L;

    public static Nft017IdentityVerifyIdentityReq getNew() {
        try {
            return (Nft017IdentityVerifyIdentityReq) obj.clone();
        } catch (CloneNotSupportedException e) {
            return new Nft017IdentityVerifyIdentityReq();
        }
    }
}
